Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class MemberImpl

    java.lang.Object
      xjavadoc.AbstractProgramElement
          xjavadoc.MemberImpl

All Implemented Interfaces:
  Comparable, Named, XMember, XProgramElement

Direct Known Subclasses:
  AbstractExecutableMember, FieldImpl

abstract class MemberImpl
extends AbstractProgramElement
implements XMember

Baseclass for field, method and constructor

Version:
  $Revision: 1.5 $
Author:
  Aslak Hellesøy

Field Summary

Fields inherited from class xjavadoc.AbstractProgramElement
`EMPTY_LIST`

Constructor Summary
`protected` | `MemberImpl(AbstractClass containingClass, XTagFactory tagFactory)`

Method Summary
`String` | `getName()` Get name
`List` | `getSuperInterfaceElements()`
`void` | `setName(String name)`

Methods inherited from class xjavadoc.AbstractProgramElement
`addModifier, compareTo, getContainingAbstractClass, getContainingClass, getContainingPackage, getDoc, getModifiers, getModifierSpecifier, getTagFactory, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, reset, setToken, updateDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xjavadoc.XProgramElement
`getContainingClass, getContainingPackage, getDoc, getModifiers, getModifierSpecifier, getSuperElement, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, updateDoc`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### MemberImpl

    protected MemberImpl(AbstractClass containingClass,
                         XTagFactory tagFactory)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Named`
  Get name

  Specified by:
    `getName` in interface `Named`
  Returns:
    name

### setName

    public void setName(String name)

### getSuperInterfaceElements

    public List getSuperInterfaceElements()

  Specified by:
    `getSuperInterfaceElements` in interface `XProgramElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.